# v2025.0720.03 发布说明

## 🖥️ 桌面应用窗口优化

### ✨ 新功能

#### 智能窗口尺寸
- **高度填满屏幕**：桌面应用窗口高度自动适应屏幕高度
- **宽度合理比例**：宽度保持合理比例（最大1400px或屏幕宽度的75%）
- **跨分辨率适配**：自动适应1080p、1440p、4K等各种屏幕分辨率

#### 居中显示
- **默认居中**：窗口启动时自动在屏幕中央显示
- **视觉优化**：提供更好的视觉体验和用户友好性
- **保持可调整**：用户仍可手动调整窗口大小和位置

#### 标题统一
- **统一命名**：应用标题从"MCP Feedback Enhanced"更改为"AI Interactive Feedback"
- **多语言同步**：所有语言版本的标题都已同步更新
- **品牌一致性**：提供更一致的品牌体验

### 🔧 技术改进

#### 动态屏幕检测
- **实时检测**：启动时自动检测主显示器尺寸
- **智能计算**：动态计算最佳窗口尺寸和位置
- **多显示器支持**：正确识别主显示器

#### 配置优化
- **Tauri配置**：更新桌面应用配置文件
- **Rust代码**：增强窗口管理逻辑
- **日志输出**：提供详细的窗口设置信息

### 📐 窗口尺寸示例

| 屏幕分辨率 | 窗口尺寸 | 窗口位置 | 说明 |
|------------|----------|----------|------|
| 1920×1080 | 1400×1080 | (260, 0) | 水平居中，垂直填满 |
| 2560×1440 | 1400×1440 | (580, 0) | 水平居中，垂直填满 |
| 1366×768 | 1024×768 | (171, 0) | 水平居中，垂直填满 |
| 3840×2160 | 1400×2160 | (1220, 0) | 水平居中，垂直填满 |

### 🔄 升级说明

#### 桌面应用用户
- 需要重新构建或下载新版本的桌面应用
- 新版本将自动应用优化的窗口设置

#### Web UI用户
- 标题更新会在重启服务后生效
- 无需额外操作

### 📝 完整更改列表

#### 配置文件更新
- `src-tauri/tauri.conf.json`: 更新产品名称和窗口标题
- `src/mcp_feedback_enhanced/web/locales/*/translation.json`: 更新多语言标题
- `src/mcp_feedback_enhanced/web/routes/main_routes.py`: 更新页面标题

#### 代码更新
- `src-tauri/src/main.rs`: 增加智能窗口尺寸和居中逻辑
- `src/mcp_feedback_enhanced/web/static/js/app.js`: 更新动态标题设置
- `src/mcp_feedback_enhanced/web/templates/`: 更新HTML模板标题

#### 版本号更新
- `pyproject.toml`: 2025.0720.02 → 2025.0720.03
- `src/mcp_feedback_enhanced/__init__.py`: 版本号同步更新
- 所有相关配置文件版本号统一更新

---

**安装方式**：
```bash
# 升级到最新版本
uvx ai-interactive-feedback@latest

# 或指定版本
uvx ai-interactive-feedback@2025.0720.03
```

**测试命令**：
```bash
# 测试桌面应用（查看新的窗口优化）
uvx ai-interactive-feedback@2025.0720.03 test --desktop

# 测试Web UI（查看新的标题）
uvx ai-interactive-feedback@2025.0720.03 test --web
```
