# AI Interactive Feedback v2025.0721.01 发布说明

## 🚀 新功能

### 桌面应用窗口记忆功能
- **完全解决窗口大小闪烁问题** - 桌面版启动时不再出现窗口大小变化的闪烁
- **智能窗口配置持久化** - 自动记住用户上次关闭时的窗口大小和位置
- **无缝启动体验** - 每次启动都以用户偏好的窗口配置显示

## 🔧 技术改进

### 窗口初始化优化
- **隐藏-设置-显示机制** - 窗口初始化时先隐藏，设置正确大小后再显示
- **配置文件自动管理** - 窗口配置保存在 `%APPDATA%/mcp-feedback-enhanced/window-config.json`
- **实时配置同步** - 用户调整窗口大小或位置时自动保存新配置

### 开发环境支持
- **优先使用开发版本** - 测试时自动使用最新构建的debug版本
- **错误修复** - 解决了Tokio异步上下文问题，消除运行时错误

## 📁 受影响的文件

- `src-tauri/src/main.rs` - 核心窗口记忆逻辑实现
- `src-tauri/tauri.conf.json` - 默认窗口配置优化
- `src-tauri/Cargo.toml` - 添加dirs依赖支持
- `desktop_app.py` - 改进可执行文件查找逻辑
- `desktop_release/mcp-feedback-enhanced-desktop.exe` - 更新的桌面应用

## 🎯 用户体验改进

### 启动流程优化
1. 窗口以隐藏状态启动，避免默认大小显示
2. 自动加载上次保存的窗口配置
3. 应用正确的窗口大小和位置
4. 平滑显示窗口，无任何闪烁
5. 用户调整窗口时自动保存新配置供下次使用

### 兼容性保证
- **首次启动友好** - 没有配置时自动计算适合屏幕的窗口大小
- **跨平台支持** - Windows、macOS、Linux均支持窗口记忆功能
- **向后兼容** - 现有用户升级后自动获得窗口记忆功能

## 🔄 升级说明

从之前版本升级到 v2025.0721.01：

1. **自动升级** - 通过 `uvx` 安装时自动获得新功能
2. **配置迁移** - 首次启动会自动创建窗口配置文件
3. **无需手动配置** - 所有窗口记忆功能自动启用

## 💻 技术细节

### 配置文件格式
```json
{
  "width": 1260,
  "height": 850,
  "x": 100,
  "y": 50
}
```

### 新增依赖
- `dirs = "5.0"` - 跨平台配置目录管理

---

这个版本显著改善了桌面应用的用户体验，消除了长期存在的窗口大小闪烁问题，为用户提供更加专业和流畅的桌面应用体验。